Bug 843324 - snapshot-edit will report error message but return 0 when do not update xml
snapshot-edit will report error message but return 0 when do not update xml
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: libvirt (Show other bugs)
6.4
x86_64 Linux
medium Severity medium
: rc
: ---
Assigned To: Gunannan Ren
Virtualization Bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-25 23:34 EDT by Huang Wenlong
Modified: 2013-10-20 17:45 EDT (History)
9 users (show)

See Also:
Fixed In Version: libvirt-0.10.0-1.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-21 02:19:59 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Huang Wenlong 2012-07-25 23:34:53 EDT
Description of problem:
snapshot-edit will report error message but return 0  when do not update xml
error message and return 0 is not consistent

Version-Release number of selected component (if applicable):
libvirt-0.9.13-3.el6.x86_64

How reproducible:
100%

Steps to Reproduce:
1. create a snapshot for domain
#virsh snapshot-create-as q3 s1
Domain snapshot s1 created


2. run  snapshot-edit but do not modify any info in the xml then quit it

# virsh snapshot-edit q3 s1
Snapshot s1 XML configuration not changed.
error: Failed to update s1

[root@intel-q9400-4-2 ~]# echo $?
0

Actual results:
error message and return 0 is not consistent

Expected results:
no error message

Additional info:
Comment 2 Gunannan Ren 2012-08-22 04:55:26 EDT
patch sent to upstream
https://www.redhat.com/archives/libvir-list/2012-August/msg01559.html
Comment 3 Gunannan Ren 2012-08-22 07:19:24 EDT
commit 44574a8789c4e97b0cf4ec020aec1f3927572b3a
Author: Guannan Ren <gren@redhat.com>
Date:   Wed Aug 22 04:37:34 2012 +0800

    virsh: don't print error info when snapshot xml is not changed
    
    If xml is not changed, error message is printed.
    So check ret value instead of edit variable for error message.
Comment 6 Gunannan Ren 2012-08-23 04:42:54 EDT
the patch has been pushed into upstream git.
but not go into libvirt-0.10.0-0rc1.el6, please test it with next version.
Comment 7 Huang Wenlong 2012-08-30 00:21:34 EDT
Verify this bug with: 
libvirt-0.10.0-1.el6.x86_64


# virsh snapshot-edit 63z 63z1 
Snapshot 63z1 XML configuration not changed.

[root@intel-q9400-4-2 rpms]# echo $?
0
Comment 8 errata-xmlrpc 2013-02-21 02:19:59 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2013-0276.html

Note You need to log in before you can comment on or make changes to this bug.